osl::progress::ml::NewProgressDebugInfo Struct Reference

`#include <progress.h>`

## Public Types

enum | Feature { ATTACK_5X3 , DEFENSE_5X3 , ATTACK5X5 , STAND , EFFECT5X5 , KING_RELATIVE_ATTACK , KING_RELATIVE_DEFENSE , NON_PAWN_ATTACKED_PAIR , FEATURE_LIMIT }

## Public Attributes

CArray< int, FEATURE_LIMIT > | black_values
CArray< int, FEATURE_LIMIT > | white_values

## Detailed Description

Definition at line 47 of file progress.h.

## Member Enumeration Documentation

## Feature

enum osl::progress::ml::NewProgressDebugInfo::Feature

Enumerator
ATTACK_5X3 |
DEFENSE_5X3 |
ATTACK5X5 |
STAND |
EFFECT5X5 |
KING_RELATIVE_ATTACK |
KING_RELATIVE_DEFENSE |
NON_PAWN_ATTACKED_PAIR |
FEATURE_LIMIT |

Definition at line 49 of file progress.h.

## Member Data Documentation

## black_values

CArray<int, FEATURE_LIMIT> osl::progress::ml::NewProgressDebugInfo::black_values

Definition at line 61 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo().

## white_values

CArray<int, FEATURE_LIMIT> osl::progress::ml::NewProgressDebugInfo::white_values

Definition at line 62 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo().

The documentation for this struct was generated from the following file:

- progress.h